package intrinsic.flash.net;

public class SharedObject extends intrinsic.flash.events.EventDispatcher {

	/** Accessors */
	public double fps;
	public Object data;
	public Object client;
	public int size;
	public int objectEncoding;

	/** Variables */

	/** Constants */

	/** Class Accessors */
	public static int defaultObjectEncoding;

	/** Class variables */

/** Contructors */
public SharedObject() {
}


/** Static Methods */
public static native intrinsic.flash.net.SharedObject getRemote(String arg0);
public static native intrinsic.flash.net.SharedObject getRemote(String arg0, String arg1);
public static native intrinsic.flash.net.SharedObject getRemote(String arg0, String arg1, Object arg2);
public static native intrinsic.flash.net.SharedObject getRemote(String arg0, String arg1, Object arg2, boolean arg3);
public static native intrinsic.flash.net.SharedObject getLocal(String arg0);
public static native intrinsic.flash.net.SharedObject getLocal(String arg0, String arg1);
public static native intrinsic.flash.net.SharedObject getLocal(String arg0, String arg1, boolean arg2);
public static native int getDiskUsage(String arg0);
public static native int deleteAll(String arg0);

/** Methods */
public native void setDirty(String arg0);
public native String flush();
public native String flush(int arg0);
public native void clear();
public native void close();
public native void connect(intrinsic.flash.net.NetConnection arg0);
public native void connect(intrinsic.flash.net.NetConnection arg0, String arg1);
public native void setProperty(String arg0);
public native void setProperty(String arg0, Object arg1);
public native void send();

}
